#include <system.h>
#include "TestProgram.h"
#pragma CLOCK_FREQ 20000000

void serial_init( );
void serial_putbyte( char cByte );

void main()
{
	unsigned char idx;
	serial_init( );
	
	while( 1 )
	{
		for( idx = 0; idx < 26; idx++ )
		{
			serial_putbyte( 'A' + idx );
		}
		
		delay_s( 5 );
	}
}

void interrupt( void )
{

}
void serial_init( )
{
	//init Hardware RS232
	txsta = 0x24;		//Enable Tx, BRGH=1
	rcsta = 0x90;		//Enable SPort, Enable Rx
	spbrg = 64;			//19200 Baud @ 20Mhz & BRGH=1
}

void serial_putbyte( char cByte )
{
	while( ( txsta & 0x02 ) == 0 )
		continue;			
	txreg = cByte;			
}